Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84616 - Can't make smp boot disk
Summary: Can't make smp boot disk
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 17:35 UTC by mjgay
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-09 14:45:03 UTC


Attachments (Terms of Use)

Description mjgay 2003-02-19 17:35:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20021120 Netscape/7.01

Description of problem:
mkbootdsk formats the floppy to 1430kB
With recent smp kernels the vmlinuz file is too large, leaving insufficient
space for initrd.img
For example running mkbootdisk 2.4.18-24.8.0smp
produces a vmlinuz file of 1159kB leaving insufficient space for initrd.img
which is cut at 264.0kB and can't be gunzipped.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run mkbootdsk 2.4.18-24.8.0smp (idem with other recent smp kernels)
2.
3.
    

Actual Results:  The machine cannot be booted from the disk produced.

Expected Results:  It should have booted.

Additional info:

Device full messages are produced when running mkbootdisk
The problem does not occur with the single processor kernel which produces a
vmlinuz file of 1085kB and leaves 73kB free on the floppy.

Comment 1 Peter Vrabec 2004-11-09 14:45:03 UTC
Use another device(cdrom) or floppy with bigger capacity,
also u can compile your own smaller kernel for this purpose.




Note You need to log in before you can comment on or make changes to this bug.